Subject: bug#1358: error when compiling ftfont.c from CVS

From: Glenn Morris <[email-masked]>
Date: Mon, 17 Nov 2008 21:11:38 -0500

"Joe Corneli" wrote:

> No, there's no such line -- here's some context:
>
> checking for xft >= 0.13.0... yes
> checking XFT_CFLAGS... -I/usr/X11R6/include -I/usr/X11R6/include/freetype2
> checking XFT_LIBS... -L/usr/X11R6/lib -lXft -lfreetype -lXrender -lfontconfig
> checking X11/Xft/Xft.h usability... yes

I think I see the problem. The configure script has not been
regenerated with some recent changes to the source configure.in.

If you have autoconf >= 2.6.1 installed, running `autoconf' in the
top-level Emacs directory ought to fix it (in the sense that you
should get a successful build without fontconfig). Or you can update
from the repository in a bit.

You still probably want to sort out your fontconfig installation to
get nicer looking fonts in your build.